ONVIF::Media::Elements::GetCompatibleVideoSourceConfigurationsResponse(3)

NAME
ONVIF::Media::Elements::GetCompatibleVideoSourceConfigurationsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetCompatibleVideoSourceConfigurationsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configurations

     $element->set_Configurations($data);
     $element->get_Configurations();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetCompatibleVideoSourceConfigurationsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configurations =>  { # ONVIF::Media::Types::VideoSourceConfiguration
     SourceToken => $some_value, # ReferenceToken
     Bounds => ,
     Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationExtension
       Rotate =>  { # ONVIF::Media::Types::Rotate
         Mode => $some_value, # RotateMode
         Degree =>  $some_value, # int
         Extension =>  { # ONVIF::Media::Types::RotateExtension
         },
       },
       Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationExtension2
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL